Bug 208199 - Konsole sudden seg fault (QWidget::update, Konsole::TerminalDisplay::updateCursor)
Summary: Konsole sudden seg fault (QWidget::update, Konsole::TerminalDisplay::updateCu...
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-22 19:00 UTC by Daniel
Modified: 2010-02-24 05:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2009-09-22 19:00:35 UTC
Application that crashed: konsole
Version of the application: 2.3
KDE Version: 4.3.1 (KDE 4.3.1)
Qt Version: 4.5.2
Operating System: Linux 2.6.30-dbb-deb x86_64
Distribution: Debian GNU/Linux testing (squeeze)

 -- Backtrace:
Application: Konsole (kdeinit4), signal: Segmentation fault
[KCrash Handler]
#5  0x00007f224251ab20 in ?? ()
#6  0x00007f224652211a in QWidget::update(QRect const&) () from /usr/lib/libQtGui.so.4
#7  0x00007f223c5e34e1 in Konsole::TerminalDisplay::updateCursor() () from /usr/lib/libkonsoleprivate.so
#8  0x00007f223c5e88ba in Konsole::TerminalDisplay::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkonsoleprivate.so
#9  0x00007f2248562682 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
#10 0x00007f224855cbf3 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#11 0x00007f22464d880d in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#12 0x00007f22464e086a in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0x00007f224713243b in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#14 0x00007f224854d51c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#15 0x00007f2248579826 in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f2248575c9d in ?? () from /usr/lib/libQtCore.so.4
#17 0x00007f22453f586a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#18 0x00007f22453f8eb8 in ?? () from /usr/lib/libglib-2.0.so.0
#19 0x00007f22453f906c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#20 0x00007f2248575bff in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#21 0x00007f224656f64f in ?? () from /usr/lib/libQtGui.so.4
#22 0x00007f224854bde2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#23 0x00007f224854c1b4 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x00007f224854e424 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#25 0x00007f223c83f1fe in kdemain () from /usr/lib/libkdeinit4_konsole.so
#26 0x0000000000407264 in _start ()

Reported using DrKonqi
Comment 1 Christoph Feck 2010-01-31 02:40:30 UTC
SVN commit 1082643 by cfeck:

Disconnect timers early

When a TerminalDisplay is destroyed, the timers are still active
until they are deleted by QObject, so they could fire when anything
in the QWidget or QObject destructor processes events.

BUG: 208199


 M  +2 -0      TerminalDisplay.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1082643
Comment 2 Kurt Hindenburg 2010-02-24 05:40:17 UTC
SVN commit 1095369 by hindenburg:

Disconnect timers early

When a TerminalDisplay is destroyed, the timers are still active
until they are deleted by QObject, so they could fire when anything
in the QWidget or QObject destructor processes events.

CCBUG: 208199


 M  +2 -0      TerminalDisplay.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1095369